// require("./test.less");

import Vue from 'vue';
import Component from 'vue-class-component';

import { State,
        Getter,
        Action,
        Mutation,
        namespace } from 'vuex-class';

const test = namespace('test');

//
import Lines from './components/line.vue';

// 业务数量那儿的盒子
import Box from './components/box.vue';
// 业务数量那儿的折线图
import EchartLine from "./components/echartsLine.vue";
// 交通违法那儿的盒子
import LineBox from './components/LineBox.vue';

// 业务数量那儿的柱状图
import EchartsBar1 from "./components/echartsBar1.vue";

// 交通事故那儿的饼图
import Echartspie from "./components/echartspie.vue";

@Component({
  components:{
    Lines,
    Box,
    EchartLine,
    LineBox,
    EchartsBar1,
    Echartspie
  }
})
export default class Test extends Vue {
  @test.Getter info ;
  @test.Action('changeInfos') changeInfos;
  user_Info:string='';

  line1DatasX=['01.06至01.12','01.13至01.19','01.20至01.26','01.27至02.02','02.03至02.09','02.10至02.16','本周'];
  line1Datas=[[3100,2800,2600,3900,2200,3000,2500]];
  // 交通违法信息列表
  IllegalLists:any[] = [
    {id:'number',tit:'违法数量',val:'5347'},
    {id:'total',tit:'扣分总数',val:'1349'},
    {id:'prices',tit:'罚没收入',val:'849'},
  ];

  bar1DatasX:string[]=['闯红灯','超速','酒驾','追尾','其他'];
  bar1Datas=[[121121,91121,87643,67954,62457],[180000,180000,180000,180000,180000]];

  // 事故分析
  analysisLists1:any[] = [
    {id:'totals',tit:'交通事故总量',val:'3,325'}, 
  ];
  analysisLists2:any[] = [
    {id:'easy',tit:'简易事故',val:'1,349'}, 
    {id:'normal',tit:'一般事故',val:'849'}, 
  ];

  // 
  pieData:any[]=[
    {value:121121, name:'闯红灯'},
    {value:91121, name:'超速'},
    {value:87643, name:'酒驾'},
    {value:67954, name:'追尾'},
    {value:62457, name:'其他'}
  ];

  analysisHover={
    value:'20%', 
    name:'违法变更车道'
  };

   changeInfo() {
     if(this.user_Info===''){
         this.$message('请输入新的值哇哈哈哈');
         return;
     }
    this.changeInfos(this.user_Info)
  }
  mounted () {
    let data = {
      userCode:'root',
      userPwd:'25d55ad283aa400af464c76d713c07ad'
    }
    $utils.$getData("/login",data,(res)=>{
      
    })
  }
}
